<?php

namespace Modules\Video;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\Video\Providers\VideoServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => '视频管理',
            'name' => 'video',
            'path' => 'video',
            'keywords' => '视频管理',
            'description' => '视频管理模块',
            'provider' => VideoServiceProvider::class
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
